Segments
Create a segment filter
Authorization
bearerAuth AuthorizationBearer <token>
In: header
TypeScript Definitions
Use the request body type in TypeScript.
A request body to create a segment filter.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/segment_filters" \ -H "Content-Type: application/json" \ -d '{ "data": { "type": "segment_filters", "attributes": {} } }'{ "data": { "type": "segment_filters", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attributes": { "title": "string", "description": "string", "state": "draft", "filters": {}, "entity": "people", "segment_type": "static", "access": "only_me", "records_count": 0, "has_automations": true, "category": "string", "updated_at": "2019-08-24T14:15:22Z" }, "relationships": { "created_by": { "data": null, "links": { "self": "/segment_filters/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/created_by" } }, "links": {} }, "meta": { "resource_added_at": "2019-08-24T14:15:22Z", "can_manage": true }, "links": { "self": "/segment_filters/7247ad7d-9275-454b-9e3a-0570e403739e" } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}